Subject: Re: b19 bash/sh ^M input problem with NTEmacs 19.34.6
From: [email-masked] (Larry Hall)

27 Feb 1998 14:38:08 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: Andy Norman <[email-masked]>, [email-masked]

At 03:35 PM 2/27/98 +0000, Andy Norman wrote:
>Folks,
>
>I apologise in advance if this is a FAQ.  I couldn't find it in the web
>version of the mail archives (which only go up to December 1997, btw).
>
>I use b19 with NT Emacs 19.34.6 under NT 4.0sp3.
>
>When I type:
>
>  M-x shell
>
>and get an interactive shell buffer, I find that each command sent _to_ the
>shell from NT Emacs has ^M appended to it, causing the command to fail unless
>I append a shell comment character (#) at the end of the line.  (Note that
I'm
>not talking about output from the shells, just the input to them.)
>
>This fails with both bash.exe and sh.exe that come with b19.
>
>Under b18, this worked just fine.  The only change was to uninstall b18 and
>install b19 today.
>
>Any hints _very_ welcome.  Thanks!
>
>						-- ange -- <><
>
>http://www-uk.hpl.hp.com/people/ange		[email-masked]

We need to get this into the FAQ or something to direct people to the 
Emacs FAQ for NT, if its in there.  This comes up far too often...

> (defun bash ()
>   (interactive)
>   (let ((binary-process-input t)
>         (binary-process-ouput nil))
>     (shell)))
> 
> 
> from Stefan Svenberg <[email-masked]>.
> 

Larry Hall                              [email-masked]
RFK Partners, Inc.                      (781) 239-1053
8 Grove Street                          (781) 239-1655 - FAX
Wellesley, MA  02181                    http://www.rfk.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".